<?php

//Customize panel

function bny_sanitize_checkbox($checked) {
	return ((isset($checked) && true == $checked) ? true : false);
}

function bny_customize_register($wp_customize) {

	//section
	$wp_customize->add_section('bonyo_options', array(
		'title'             => 'Options',
		'priority'          => 40,
	));


	$wp_customize->add_setting('ck_sidebar', array(
		'default'			=> false,
		'sanitize_callback'	=> 'bny_sanitize_checkbox',
	));

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'ck_sidebar', array(
		'label'				=> __('Dinamic/Static sidebar', 'bonyo'),
		'description'       => __('<p>Checked is static sidebar.<br />Unchecked is dynamic sidebar.</p><p>If it is static, the sidebar is output to the template file.<br />It is fast, but the same sidebar code is displayed every time. <br />The sidebar template is created or updated when logging off the administration panel.</p>', 'bonyo'),
		'section'			=> 'bonyo_options',
		'priority'			=> 10,
		'type'				=> 'checkbox',
	)));


	$wp_customize->add_setting('ck_lazy', array(
		'default'			=> false,
		'sanitize_callback'	=> 'bny_sanitize_checkbox',
	));

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'ck_lazy', array(
		'label'				=> __('Lazy loading images / Normal loading images'),
		'description'       => __('<p>Checked is lazy-loading images.<br />Uncheck is normal loading images.</p><p>Lazy-loading images is faster than normal-loading.<br />In Bonyo, consideration is given so that delayed reading of images does not adversely affect SEO.</p>', 'bonyo'),
		'section'			=> 'bonyo_options',
		'priority'			=> 20,
		'type'				=> 'checkbox',
	)));
}
add_action('customize_register', 'bny_customize_register');

?>
